Loading...
Searching...
No Matches
ipc_types File Reference
`#include "capability.h"`
`#include "types"`
`#include "ipc_basics"`
Include dependency graph for ipc_types:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | L4::Ipc::In_out< T >
| Mark an argument as in-out argument. More...
struct | L4::Ipc::As_value< T >
| Pass the argument as plain data value. More...
struct | L4::Ipc::Opt< T >
| Attribute for defining an optional RPC argument. More...
class | L4::Ipc::Small_buf
| A receive item for receiving a single object capability. More...
class | L4::Ipc::Gen_fpage
| Generic RPC base for typed message items. More...
class | L4::Ipc::Snd_fpage
| Send item or return item. More...
class | L4::Ipc::Rcv_fpage
| Non-small receive item. More...
class | L4::Ipc::Cap< T >
| Capability type for RPC interfaces (see L4::Cap<T>). More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.
namespace | L4::Ipc
| IPC related functionality.
namespace | L4::Ipc::Msg
| IPC Message related functionality.

## Functions

template<typename T>
Cap< T > | L4::Ipc::make_cap (L4::Cap< T > cap, unsigned rights) noexcept
| Make an L4::Ipc::Cap<T> for the given capability and rights.
template<typename T>
Cap< T > | L4::Ipc::make_cap_rw (L4::Cap< T > cap) noexcept
| Make an L4::Ipc::Cap<T> for the given capability with L4_CAP_FPAGE_RW rights.
template<typename T>
Cap< T > | L4::Ipc::make_cap_rws (L4::Cap< T > cap) noexcept
| Make an L4::Ipc::Cap<T> for the given capability with L4_CAP_FPAGE_RWS rights.
template<typename T>
Cap< T > | L4::Ipc::make_cap_full (L4::Cap< T > cap) noexcept
| Make an L4::IPC::Cap<T> for the given capability with full fpage and object-specific rights.